<div>
  <ng-template #suffixIcon>
    @if (showClearButton) {
      <i
        nz-icon
        nzTheme="fill"
        nzType="close-circle"
        class="input-button"
        (click)="clearInputAndShowList()"
      ></i>
    } @else {
      <i nz-icon nzType="search" class="input-button"></i>
    }
  </ng-template>
  <nz-input-group [nzSuffix]="suffixIcon" [nzSize]="size">
    <input
      #textInput
      [placeholder]="placeholder"
      (ngModelChange)="handleModelChange($event)"
      nz-input
      [(ngModel)]="value"
      (input)="onInput($event)"
      [nzAutocomplete]="autocomplete"
    />
  </nz-input-group>
  <nz-autocomplete #autocomplete [nzDataSource]="visibleOptionLabels">
  </nz-autocomplete>
</div>
